{
  "type": "minecraft:chest",
  "pools": [
    {
      "rolls": 4,
      "entries": [
        {
          "type": "minecraft:item",
          "weight": 100,
          "name": "minecraft:ender_pearl"
        },
        {
          "type": "minecraft:item",
          "weight": 100,
          "name": "minecraft:arrow",
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": 4,
              "add": true
            }
          ]
        },
        {
          "type": "minecraft:item",
          "weight": 90,
          "name": "minecraft:golden_apple"
        },
        {
          "type": "minecraft:item",
          "weight": 15,
          "name": "minecraft:enchanted_golden_apple"
        },
        {
          "type": "minecraft:item",
          "weight": 20,
          "name": "minecraft:totem_of_undying"
        },
        {
          "type": "minecraft:item",
          "weight": 90,
          "name": "minecraft:diamond",
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": 2,
              "add": true
            }
          ]
        },
        {
          "type": "minecraft:item",
          "weight": 100,
          "name": "minecraft:phantom_membrane"
        },
        {
          "type": "minecraft:item",
          "weight": 75,
          "name": "minecraft:netherite_scrap"
        },
        {
          "type": "minecraft:item",
          "weight": 20,
          "name": "minecraft:netherite_upgrade_smithing_template"
        },
        {
          "type": "minecraft:item",
          "weight": 80,
          "name": "minecraft:potion",
          "functions": [
            {
              "function": "minecraft:set_potion",
              "id": "minecraft:slow_falling"
            }
          ]
        },
        {
          "type": "minecraft:item",
          "name": "minecraft:potion"
        },
        {
          "type": "minecraft:item",
          "weight": 100,
          "name": "minecraft:gold_ingot",
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": 5,
              "add": true
            }
          ]
        },
        {
          "type": "minecraft:item",
          "weight": 150,
          "name": "minecraft:chorus_fruit"
        },
        {
          "type": "minecraft:item",
          "weight": 90,
          "name": "minecraft:book",
          "functions": [
            {
              "function": "minecraft:enchant_with_levels",
              "levels": 25
            }
          ]
        }
      ]
    }
  ]
}
